* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-image: linear-gradient(120deg, #d4fc79 0%, #96e6a1 100%);
  color: black;
  font-family: "Poppins", sans-serif;
  min-height: 100vh;
}

header {
  font-size: 1.5rem;
  letter-spacing: 1px;
}

header,
form {
  min-height: 20vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

form input,
form button {
  padding: 0.2rem 0.5rem;
  font-size: 1.7rem;
  border: none;
  font-family: "Roboto", sans-serif;
  background: white;
  outline: none;
}

form button {
  color: black;
  background: white;
  cursor: pointer;
  transition: 0.3s ease;
}

form button:hover {
  background: transparent;
  color: black;
}

.todo-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.todo-list {
  min-width: 30%;
  list-style: none;
}

.todo {
  margin: 0.5rem;
  background: white;
  color: black;
  font-size: 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: all 0.5s ease;
}

.todo li {
  flex: 1;
}

.trash-btn,
.complete-btn {
  background: #ff6f47;
  color: white;
  border: none;
  padding: 0.8rem 1rem;
  cursor: pointer;
  font-size: 1rem;
  outline: 1px solid white;
}

.complete-btn {
  background: rgb(0, 151, 0);
}

.todo-item {
  padding: 0rem 0.5rem;
  font-family: "Poppins", sans-serif;
}

.fa-trash,
.fa-check {
  pointer-events: none;
}

.completed {
  text-decoration: line-through;
  opacity: 0.5;
}

.fall {
  transform: translateY(8rem) rotateZ(20deg);
  opacity: 0;
}

select {
  color: #ff6f47;
  width: 10rem;
  cursor: pointer;
  appearance: none;
  outline: none;
  border: none;
  padding: 0.75rem;
}

.select {
  margin: 1rem;
  position: relative;
  overflow: hidden;
}

.select::after {
  content: "\25BC";
  position: absolute;
  background: #00cf1c;
  top: -3px;
  right: 0;
  padding: 0.75rem;
  pointer-events: none;
  transition: all 0.3s ease;
}

.select:hover::after {
  background: transparent;
  color: black;
}

@media (max-width: 600px) {
  body {
    font-size: 10px;
  }

  .inputs {
    width: 100%;
    display: flex;
    margin: 10px;
  }

  form input,
  form button {
    margin-left: auto;
    padding: 0.2rem 0.5rem;
    font-size: 1.4rem;
    border: none;
    font-family: "Roboto", sans-serif;
    background: white;
    border-radius: 5px;
    outline: none;
    width: 75%;
  }

  form button {
    color: black;
    margin-right: auto;
    background: white;
    cursor: pointer;
    width: 15%;
    transition: 0.3s ease;
  }

  form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
  }

  select {
    padding: 0.6rem;
    margin: 0;
  }

  .select {
    margin: 0;
  }

  .select::after {
    padding: 0.72rem;
  }
}
